---
title: NDEFRecord()
slug: Web/API/NDEFRecord/NDEFRecord
tags:
  - NDEF
  - Reference
  - Web NFC
---
<p>{{Draft}}{{securecontext_header}}{{SeeCompatTable}}{{APIRef()}}</p>

<p class="summary"><span class="seoSummary">The <strong><code>NDEFRecord()</code></strong> constructor of the <a href="/en-US/docs/Web/API/WebNFC_API">Web NFC API</a> returns a newly constructed {{DOMxRef("NDEFRecord")}} object that represents data that can be read from or written to compatible NFC devices, e.g. NFC tags supporting NDEF.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>writer</em> = new NDEFRecord(<em>NDEFRecordInit</em>);
</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code>NDEFRecordInit</code> {{Experimental_Inline}} {{ReadOnlyInline}}</dt>
 <dd>{{DOMxRef("NDEFRecordInit")}} with initialization data.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>A new {{DOMxRef("NDEFRecord")}}.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td><a href="https://w3c.github.io/web-nfc/#dom-ndefrecord">Web NFC, NDEFRecord</a></td>
   <td>Draft</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.NDEFRecord.NDEFRecord")}}</p>
